<template functional>
  <section
    :ref="data.ref"
    class="cta flex justify-center items-center"
    :class="[data.class, data.staticClass]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <div
      class="flex flex-col items-center lg:flex-row lg:justify-center lg:items-end"
    >
      <div class="max-w-xl">
        <h3 class="font-body text-white">{{ props.message.heading }}</h3>
        <p class="mt-4 text-xl leading-snug text-blue-200 lg:text-2xl">
          {{ props.message.text }}
        </p>
      </div>
      <div class="mt-6 lg:ml-4">
        <button-link class="btn-cta" :to="props.link">
          {{ props.action }}
        </button-link>
      </div>
    </div>
  </section>
</template>

<script>
export default {
  name: 'CtaSection',
  props: {
    message: {
      type: Object,
      default: () => ({ heading: undefined, text: undefined }),
      required: true,
    },
    action: { type: String, required: true },
    link: { type: String, required: true },
  },
};
</script>

<style lang="postcss" scoped>
.cta {
  --cta-px: var(--g-px);
  --cta-py: var(--g-py);
  --cta-text-color: theme('colors.white');
  --cta-bg-color: theme('colors.blue.700');

  padding: var(--cta-py) var(--cta-px);
  color: var(--cta-text-color);
  background-color: var(--cta-bg-color);
}
@screen md {
  .cta {
    --cta-px: var(--g-px-md);
    --cta-py: var(--g-py-md);
  }
}
@screen lg {
  .cta {
    --cta-px: var(--g-px-lg);
    --cta-py: var(--g-py-lg);
  }
}
@screen xl {
  .cta {
    --cta-px: var(--g-px-xl);
    --cta-py: theme('spacing.24');
  }
}
</style>
